Installatieapparaten opvragen
Verzoeken gaan via de GridSense-documentatieserver naar de API. Het API-testpaneel onthoudt je sleutel in deze browser, zodat je deze op alle endpointpagina’s kunt gebruiken. Wis de sleutel als je klaar bent, vooral op een gedeelde computer.
Geeft de laatst bekende toestand van alle zes ondersteunde apparaatcategorieën voor één toegankelijke installatie terug. Roep eerst getInstallations aan en kopieer een ontvangen id naar installationId. Het voorbeeld-ID 42 is fictief. Ook offline apparaten worden opgenomen: controleer lastSeenDate en beschouw null als niet-beschikbare telemetrie. Zie de uitleg over vermogensrichting voor de tekens per apparaattype; powerAc van een netmeter is positief bij teruglevering en powerDc van een batterij is positief bij laden.
Plak de volledige gsak_-API-sleutel van je applicatie.
In: header
Queryparameters
Geheel installatie-ID uit getInstallations. Vervang het fictieve voorbeeld door een ID waartoe je applicatie toegang heeft. Getallen met een decimaal worden geweigerd.
Antwoordinhoud
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/getInstallationDevices?installationId=42"{ "valid": true, "installationId": 42, "inverters": [ { "id": 108, "installationId": 42, "gatewayId": 17, "manufacturer": "Example manufacturer", "model": "Example model", "version": null, "serialNumber": "EXAMPLE-108", "firstSeenDate": "2026-09-01T09:00:00+02:00", "lastSeenDate": "2026-09-08T12:00:00+02:00", "status": { "rawValue": 4, "name": "MPPT" }, "vendorStatusString": null, "isOffGrid": null, "maxChargePower": null, "maxDischargePower": null, "powerAc": 2000, "powerAcL1": null, "powerAcL2": null, "powerAcL3": null, "voltageAcL1": null, "voltageAcL2": null, "voltageAcL3": null, "currentAcL1": null, "currentAcL2": null, "currentAcL3": null, "frequency": null, "powerApparentAc": null, "powerReactiveAc": null, "powerFactor": null, "backupPowerAc": null, "powerDc": 2100, "powerDcPvTotal": 3600, "powerDcPv1": null, "powerDcPv2": null, "powerDcPv3": null, "powerDcPv4": null, "powerDcPv5": null, "powerDcPv6": null, "voltageDcPv1": null, "voltageDcPv2": null, "voltageDcPv3": null, "voltageDcPv4": null, "voltageDcPv5": null, "voltageDcPv6": null, "currentDcPv1": null, "currentDcPv2": null, "currentDcPv3": null, "currentDcPv4": null, "currentDcPv5": null, "currentDcPv6": null, "temperature": 38 } ], "batteries": [ { "id": 109, "installationId": 42, "gatewayId": 17, "inverterId": 108, "manufacturer": "Example manufacturer", "model": "Example model", "version": null, "serialNumber": "EXAMPLE-109", "firstSeenDate": "2026-09-01T09:00:00+02:00", "lastSeenDate": "2026-09-08T12:00:00+02:00", "status": null, "powerDc": 1500, "voltageDc": null, "currentDc": null, "soe": 65, "soh": 98, "temperature": null, "minCellTemperature": null, "avgCellTemperature": null, "maxCellTemperature": null, "minCellVoltage": null, "avgCellVoltage": null, "maxCellVoltage": null, "ratedEnergy": 10000, "maximumEnergy": null, "availableEnergy": null, "maxChargeContinuousPower": null, "maxDischargeContinuousPower": null, "minSoe": null, "maxSoe": null } ], "energyMeters": [ { "id": 110, "installationId": 42, "gatewayId": 17, "manufacturer": "Example manufacturer", "model": "Example model", "version": null, "serialNumber": "EXAMPLE-110", "firstSeenDate": "2026-09-01T09:00:00+02:00", "lastSeenDate": "2026-09-08T12:00:00+02:00", "powerAc": -500, "powerAcL1": null, "powerAcL2": null, "powerAcL3": null, "voltageAcL1": null, "voltageAcL2": null, "voltageAcL3": null, "currentAcL1": null, "currentAcL2": null, "currentAcL3": null, "frequency": null, "totalImportAc": null, "totalExportAc": null, "dailyImportAc": null, "dailyExportAc": null, "options": "Export+Import" } ], "evChargers": [ { "id": 111, "installationId": 42, "gatewayId": 17, "manufacturer": "Example manufacturer", "model": "Example model", "version": null, "serialNumber": "EXAMPLE-111", "firstSeenDate": "2026-09-01T09:00:00+02:00", "lastSeenDate": "2026-09-08T12:00:00+02:00", "mode": "ALWAYS_ON", "requireAuthorization": null, "supportsBiDirectionalCharging": false, "maxChargingCurrent": null, "currentMaxChargingCurrent": null, "status": null, "vendorStatusString": null, "powerOffered": null, "powerAc": 1000, "powerAcL1": null, "powerAcL2": null, "powerAcL3": null, "voltageAcL1": null, "voltageAcL2": null, "voltageAcL3": null, "currentAcL1": null, "currentAcL2": null, "currentAcL3": null, "frequencyAc": null, "powerDc": null, "voltageDc": null, "currentDc": null, "temperature": null } ], "relays": [ { "id": 112, "installationId": 42, "gatewayId": 17, "manufacturer": "Example manufacturer", "model": "Example model", "version": null, "serialNumber": "EXAMPLE-112", "firstSeenDate": "2026-09-01T09:00:00+02:00", "lastSeenDate": "2026-09-08T12:00:00+02:00", "relayCount": 2, "currentState": [ true, false ], "desiredState": [ null, false ] } ], "boilers": [ { "id": 113, "installationId": 42, "gatewayId": 17, "manufacturer": "Example manufacturer", "model": "Example model", "version": null, "serialNumber": "EXAMPLE-113", "firstSeenDate": "2026-09-01T09:00:00+02:00", "lastSeenDate": "2026-09-08T12:00:00+02:00", "status": null, "vendorStatusString": null, "boilerMode": "EXCESS_PV_BATTERY_PREFERRED", "powerAc": 500, "powerAcL1": null, "powerAcL2": null, "powerAcL3": null, "voltageAcL1": null, "voltageAcL2": null, "voltageAcL3": null, "currentAcL1": null, "currentAcL2": null, "currentAcL3": null, "frequency": null, "temperature": 52, "temperature2": null, "temperature3": null, "temperature4": null, "targetTemperature": null, "minimumTemperature": null, "availablePower": null, "effectiveMaxPower": null, "operationMode": null, "operationState": null, "deviceState": null, "relayState": null, "loadState": null, "pwmPercent": null } ]}